IPhysics: IPhysicsBodyModifier Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IPhysicsBodyModifier Class Reference

`#include <IPhysicsBodyModifier.h>`

Inherited by IPhysicsBaseEntity.

List of all members.

## Public Member Functions

| IPhysicsBodyModifier ()
| ~IPhysicsBodyModifier ()
void | setTransformCallback (NewtonSetTransform callback)
void | setAutoactiveCallback (NewtonBodyActivationState callback)
void | setForceAndTorqueCallback (NewtonApplyForceAndTorque callback)
void | setDestructorCallback (NewtonBodyDestructor callback)
NewtonApplyForceAndTorque | getForceAndTorqueCallback ()
void | setMassMatrix (f32 mass, vector3df inertia)
f32 | getMass ()
f32 | getInvMass ()
vector3df | getInertia ()
vector3df | getInvInertia ()
void | setMatrix (matrix4 matrix)
matrix4 | getMatrix ()
void | setCenterOfMass (vector3df center)
vector3df | getCenterOfMass ()
void | setMatrixRecursive (matrix4 matrix)
void | setForce (vector3df force)
void | addForce (vector3df force)
vector3df | getForce ()
void | setTorque (vector3df torque)
void | addTorque (vector3df torque)
vector3df | getTorque ()
void | setCollision (NewtonCollision *collision)
NewtonCollision * | getCollision ()
void | enableCoriolisForcesMode (bool mode)
NewtonWorld * | getWorld ()
void | setMaterial (int material)
int | getMaterial ()
void | setContinuousCollisionMode (bool state)
bool | getContinuousCollisionMode ()
void | setJointRecursiveCollision (bool state)
bool | getJointRecursiveCollision ()
void | setAutofreeze (bool state)
bool | getAutofreeze ()
bool | getSleepingState ()
void | setFreezeTreshold (f32 freezeSpeed, f32 freezeOmega, int framesCount)
f32 | getFreezeSpeed ()
f32 | getFreezeOmega ()
aabbox3d< f32 > | getAABB ()
void | setVelocity (vector3df velocity)
vector3df | getVelocity ()
void | setOmega (vector3df omega)
vector3df | getOmega ()
void | setLinearDamping (f32 linearDamp)
f32 | getLinearDamping ()
void | setAngularDamping (vector3df angularDamp)
vector3df | getAngularDamping ()
void | forEachPolygonDo (NewtonCollisionIterator callback)
void | addBodyImpulse (vector3df pointDeltaVeloc, vector3df pointPosit)

## Public Attributes

vector3df | forceAdd
vector3df | forceSet
vector3df | torqueAdd
vector3df | torqueSet

## Protected Attributes

NewtonBody * | m_body

## Constructor & Destructor Documentation

IPhysicsBodyModifier::IPhysicsBodyModifier | ( |  | ) |

IPhysicsBodyModifier::~IPhysicsBodyModifier | ( |  | ) |

## Member Function Documentation

void IPhysicsBodyModifier::setTransformCallback | ( | NewtonSetTransform | callback | ) |

void IPhysicsBodyModifier::setAutoactiveCallback | ( | NewtonBodyActivationState | callback | ) |

void IPhysicsBodyModifier::setForceAndTorqueCallback | ( | NewtonApplyForceAndTorque | callback | ) |

void IPhysicsBodyModifier::setDestructorCallback | ( | NewtonBodyDestructor | callback | ) |

NewtonApplyForceAndTorque IPhysicsBodyModifier::getForceAndTorqueCallback | ( |  | ) |

void IPhysicsBodyModifier::setMassMatrix | ( | f32 | mass,
|  | vector3df | inertia |
| ) |  |  |

f32 IPhysicsBodyModifier::getMass | ( |  | ) |

f32 IPhysicsBodyModifier::getInvMass | ( |  | ) |

vector3df IPhysicsBodyModifier::getInertia | ( |  | ) |

vector3df IPhysicsBodyModifier::getInvInertia | ( |  | ) |

void IPhysicsBodyModifier::setMatrix | ( | matrix4 | matrix | ) |

Reimplemented in CPhysicsEntity, and IPhysicsEntity.

matrix4 IPhysicsBodyModifier::getMatrix | ( |  | ) |

Reimplemented in CPhysicsEntity, and IPhysicsEntity.

void IPhysicsBodyModifier::setCenterOfMass | ( | vector3df | center | ) |

vector3df IPhysicsBodyModifier::getCenterOfMass | ( |  | ) |

void IPhysicsBodyModifier::setMatrixRecursive | ( | matrix4 | matrix | ) |

void IPhysicsBodyModifier::setForce | ( | vector3df | force | ) |

void IPhysicsBodyModifier::addForce | ( | vector3df | force | ) |

vector3df IPhysicsBodyModifier::getForce | ( |  | ) |

void IPhysicsBodyModifier::setTorque | ( | vector3df | torque | ) |

void IPhysicsBodyModifier::addTorque | ( | vector3df | torque | ) |

vector3df IPhysicsBodyModifier::getTorque | ( |  | ) |

void IPhysicsBodyModifier::setCollision | ( | NewtonCollision * | collision | ) |

NewtonCollision * IPhysicsBodyModifier::getCollision | ( |  | ) |

void IPhysicsBodyModifier::enableCoriolisForcesMode | ( | bool | mode | ) |

NewtonWorld * IPhysicsBodyModifier::getWorld | ( |  | ) |

void IPhysicsBodyModifier::setMaterial | ( | int | material | ) |

Reimplemented in CPhysicsEntity, and IPhysicsEntity.

int IPhysicsBodyModifier::getMaterial | ( |  | ) |

void IPhysicsBodyModifier::setContinuousCollisionMode | ( | bool | state | ) |

bool IPhysicsBodyModifier::getContinuousCollisionMode | ( |  | ) |

void IPhysicsBodyModifier::setJointRecursiveCollision | ( | bool | state | ) |

bool IPhysicsBodyModifier::getJointRecursiveCollision | ( |  | ) |

void IPhysicsBodyModifier::setAutofreeze | ( | bool | state | ) |

bool IPhysicsBodyModifier::getAutofreeze | ( |  | ) |

bool IPhysicsBodyModifier::getSleepingState | ( |  | ) |

void IPhysicsBodyModifier::setFreezeTreshold | ( | f32 | freezeSpeed,
|  | f32 | freezeOmega,
|  | int | framesCount |
| ) |  |  |

f32 IPhysicsBodyModifier::getFreezeSpeed | ( |  | ) |

f32 IPhysicsBodyModifier::getFreezeOmega | ( |  | ) |

aabbox3d< f32 > IPhysicsBodyModifier::getAABB | ( |  | ) |

void IPhysicsBodyModifier::setVelocity | ( | vector3df | velocity | ) |

vector3df IPhysicsBodyModifier::getVelocity | ( |  | ) |

void IPhysicsBodyModifier::setOmega | ( | vector3df | omega | ) |

vector3df IPhysicsBodyModifier::getOmega | ( |  | ) |

void IPhysicsBodyModifier::setLinearDamping | ( | f32 | linearDamp | ) |

f32 IPhysicsBodyModifier::getLinearDamping | ( |  | ) |

void IPhysicsBodyModifier::setAngularDamping | ( | vector3df | angularDamp | ) |

vector3df IPhysicsBodyModifier::getAngularDamping | ( |  | ) |

void IPhysicsBodyModifier::forEachPolygonDo | ( | NewtonCollisionIterator | callback | ) |

void IPhysicsBodyModifier::addBodyImpulse | ( | vector3df | pointDeltaVeloc,
|  | vector3df | pointPosit |
| ) |  |  |

## Member Data Documentation

vector3df IPhysicsBodyModifier::forceAdd

vector3df IPhysicsBodyModifier::forceSet

vector3df IPhysicsBodyModifier::torqueAdd

vector3df IPhysicsBodyModifier::torqueSet

NewtonBody* IPhysicsBodyModifier::m_body`[protected]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IPhysicsBodyModifier.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IPhysicsBodyModifier.cpp